package reti;

/**
 * Title:        Progetto di reti di calcolatori
 * Description:  Sistema di server commerciali per la vendita di prodotti via internet
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author Alessandro Celli
 * @version 1.0
 */

public class stringCommand {
  // ************************* Costanti utilizzate dal sistema **************************
  static final String CLIENT_CFG_FILE = ".\\CLIENT.CFG";       // File di configurazione del client
  static  String SERVER_CFG_FILE = ".\\SERVER.CFG";       // File di configurazione del primo server
//  static final String SERVER_CFG_FILE_2 = "c:\\windows\\desktop\\SERVER2.CFG";       // File di configurazione del secondo server
  static  String PROD_DB_FILE  = ".\\PRODOTTI.DB"; // Database dei prodotti
  static  String ORDER_DB_FILE = ".\\ORDINI.DB";   // Database degli ordini
  static final String END_OF_FILE = "END";
  //static final short ACCEPT_NEW_SERVER = 1;
  static final short NEW_SERVER_IS_ACCEPTED_ = 2;
  static final short END_CLIENT_SESSION = 3;
  static final short CLI_CONNECT_CODE = 5;
  static final short CLI_ACK_CODE = 6;
  static final short CLI_LIST_PROD_REQ_CODE = 4;
  static final short CLI_LIST_PROD_REPLY_CODE = 7;
  static final short CLI_SEND_ORDER_CODE = 8;
  static final short CLI_DELETE_ORDER_CODE = 9;
  static final short CLI_ACCEPT_NEW_SERVER_CODE = 10;
  static final short CLI_SERV_ACK_CODE = 11;
  static final short CLI_ACK_ORDER_CODE = 12;

  static final short GENERIC_ACK_CODE = 30;


  static final short SERV_CONNECT_CODE = 51;
  static final short SERV_ACK_CODE = 52;
  static final short SERV_ADD_NEW_SERVER_CODE = 53;
  static final short SERV_NEW_NEXT_SERVER_CONNECT_CODE = 54;
  static final short SERV_NEW_PREV_SERVER_CONNECT_CODE = 55;
  static final short SERV_TEST_CODE = 56;
  static final short SERV_SEND_ORDER_CODE = 57;
  static final short SERV_DELETE_ORDER_CODE = 58;
  static final short SERV_CRASH_SERVER_CODE = 59;
  static final short SERV_RECOVERY_COMPLETED_CODE = 60;
  public static final int DB_REQUEST = 100;

  public stringCommand() {};
  public stringCommand(short val) {
    if (val == 2){
      SERVER_CFG_FILE = ".\\SERVER2.CFG";// File di configurazione del primo server
      PROD_DB_FILE  = ".\\PRODOTTI2.DB"; // Database dei prodotti
      ORDER_DB_FILE = ".\\ORDINI2.DB";   // Database degli ordini
    };
    if (val == 3){
      SERVER_CFG_FILE = ".\\SERVER3.CFG";// File di configurazione del primo server
      PROD_DB_FILE  = ".\\PRODOTTI3.DB"; // Database dei prodotti
      ORDER_DB_FILE = ".\\ORDINI3.DB";   // Database degli ordini
    };
  }
}